package com.sundot.airport.exam.logic.eighteen.model.result.subresult;

/**
 * <b>功能名：Get18ExamRecordListResult</b><br>
 * <b>说明：</b> 查询测试记录 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：</b><br>
 *
 * @author 2021-07-05 Mokou
 */
public class ItemIn18ExamRecordListResult {
    /**
     * 测试记录业务主键ID
     */
    private String erId;

    /**
     * 测试得分
     */
    private Integer erScore;

    /**
     * 测试名
     */
    private String erExName;

    /**
     * 测试记录时间
     */
    private String createTime;

    /**
     * 是否启用证书
     */
    private Boolean erExEnableCert;

    /**
     * 是否获得证书
     */
    private Boolean getCert = false;

    /**
     * 考试表业务主键
     */
    private String erExId;

    public String getErId() {
        return erId;
    }

    public void setErId(String erId) {
        this.erId = erId;
    }

    public Integer getErScore() {
        return erScore;
    }

    public void setErScore(Integer erScore) {
        this.erScore = erScore;
    }

    public String getErExName() {
        return erExName;
    }

    public void setErExName(String erExName) {
        this.erExName = erExName;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public Boolean getErExEnableCert() {
        return erExEnableCert;
    }

    public void setErExEnableCert(Boolean erExEnableCert) {
        this.erExEnableCert = erExEnableCert;
    }

    public Boolean getGetCert() {
        return getCert;
    }

    public void setGetCert(Boolean getCert) {
        this.getCert = getCert;
    }

    public String getErExId() {
        return erExId;
    }

    public void setErExId(String erExId) {
        this.erExId = erExId;
    }

    @Override
    public String toString() {
        return "ItemIn18ExamRecordListResult{" +
                "erId='" + erId + '\'' +
                ", erScore=" + erScore +
                ", erExName='" + erExName + '\'' +
                ", createTime='" + createTime + '\'' +
                ", erExEnableCert=" + erExEnableCert +
                ", getCert=" + getCert +
                ", erExId=" + erExId +
                '}';
    }
}
